package com.yhx.union.entity;

import java.io.Serializable;

/**
 * 描述:
 * @author yanghuaxiong
 * @create 2018/4/10 下午2:41
 * 
 */
public class BaseResponse<T> implements Serializable {
    /**
     * "code": 0,
     * "succeed": true,
     * "msg": "成功",
     * "data":""
     */
    
    private boolean succeed;
    private int code;
    private String msg;
    private T resultData;

    public boolean isSucceed() {
        return succeed;
    }

    public void setSucceed(boolean succeed) {
        this.succeed = succeed;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getResultData() {
        return resultData;
    }

    public void setResultData(T data) {
        this.resultData = resultData;
    }
    
    public boolean isOK() {
        return code == 0 && resultData != null;
    }
}
